Commit 0d78f4c0 authored by catch's avatar catch

Issue #3117342 by longwave, alexpott: Update dependencies for Drupal 9

parent 05ab1e26
......@@ -32,7 +32,7 @@
"symfony/finder": "^4.4",
"symfony/lock": "^4.4",
"symfony/browser-kit": "^4.4",
"symfony/dom-crawler": "^4.4",
"symfony/dom-crawler": "^4.4 !=4.4.5",
"easyrdf/easyrdf": "^0.9"
},
"minimum-stability": "dev",
......
This diff is collapsed.
......@@ -35,31 +35,31 @@
"ralouphie/getallheaders": "3.0.3",
"stack/builder": "v1.0.6",
"symfony-cmf/routing": "2.1.1",
"symfony/console": "v4.4.4",
"symfony/debug": "v4.4.4",
"symfony/dependency-injection": "v4.4.4",
"symfony/error-handler": "v4.4.4",
"symfony/event-dispatcher": "v4.4.4",
"symfony/console": "v4.4.5",
"symfony/debug": "v4.4.5",
"symfony/dependency-injection": "v4.4.5",
"symfony/error-handler": "v4.4.5",
"symfony/event-dispatcher": "v4.4.5",
"symfony/event-dispatcher-contracts": "v1.1.7",
"symfony/http-foundation": "v4.4.4",
"symfony/http-kernel": "v4.4.4",
"symfony/mime": "v5.0.4",
"symfony/http-foundation": "v4.4.5",
"symfony/http-kernel": "v4.4.5",
"symfony/mime": "v5.0.5",
"symfony/polyfill-ctype": "v1.14.0",
"symfony/polyfill-iconv": "v1.14.0",
"symfony/polyfill-intl-idn": "v1.14.0",
"symfony/polyfill-mbstring": "v1.14.0",
"symfony/polyfill-php72": "v1.14.0",
"symfony/polyfill-php73": "v1.14.0",
"symfony/process": "v4.4.4",
"symfony/process": "v4.4.5",
"symfony/psr-http-message-bridge": "v2.0.0",
"symfony/routing": "v4.4.4",
"symfony/serializer": "v4.4.4",
"symfony/routing": "v4.4.5",
"symfony/serializer": "v4.4.5",
"symfony/service-contracts": "v2.0.1",
"symfony/translation": "v4.4.4",
"symfony/translation": "v4.4.5",
"symfony/translation-contracts": "v2.0.1",
"symfony/validator": "v4.4.4",
"symfony/var-dumper": "v5.0.4",
"symfony/yaml": "v4.4.4",
"symfony/validator": "v4.4.5",
"symfony/var-dumper": "v5.0.5",
"symfony/yaml": "v4.4.5",
"twig/twig": "v2.12.5",
"typo3/phar-stream-wrapper": "v3.1.4"
}
......
......@@ -20,7 +20,7 @@
"symfony/browser-kit": "^4.4",
"symfony/css-selector": "^4.4",
"symfony/debug": "^4.4",
"symfony/dom-crawler": "^4.4",
"symfony/dom-crawler": "^4.4 !=4.4.5",
"symfony/filesystem": "^4.4",
"symfony/finder": "^4.4",
"symfony/lock": "^4.4",
......
......@@ -9,13 +9,13 @@
"require": {
"drupal/core": "9.0.x-dev",
"behat/mink": "v1.8.1",
"behat/mink-browserkit-driver": "1.3.3",
"behat/mink-browserkit-driver": "v1.3.4",
"behat/mink-goutte-driver": "v1.2.1",
"behat/mink-selenium2-driver": "v1.4.0",
"composer/ca-bundle": "1.2.6",
"composer/composer": "1.9.3",
"composer/composer": "1.10.0",
"composer/spdx-licenses": "1.5.3",
"composer/xdebug-handler": "1.4.0",
"composer/xdebug-handler": "1.4.1",
"doctrine/instantiator": "1.3.0",
"drupal/coder": "8.3.7",
"easyrdf/easyrdf": "0.9.1",
......@@ -27,9 +27,9 @@
"phar-io/manifest": "1.0.3",
"phar-io/version": "2.0.1",
"phpdocumentor/reflection-common": "2.0.0",
"phpdocumentor/reflection-docblock": "5.0.0",
"phpdocumentor/type-resolver": "1.0.1",
"phpspec/prophecy": "v1.10.2",
"phpdocumentor/reflection-docblock": "5.1.0",
"phpdocumentor/type-resolver": "1.1.0",
"phpspec/prophecy": "v1.10.3",
"phpunit/php-code-coverage": "7.0.10",
"phpunit/php-file-iterator": "2.0.2",
"phpunit/php-text-template": "1.2.1",
......@@ -51,13 +51,13 @@
"seld/jsonlint": "1.7.2",
"seld/phar-utils": "1.1.0",
"squizlabs/php_codesniffer": "3.5.4",
"symfony/browser-kit": "v4.4.4",
"symfony/css-selector": "v4.4.4",
"symfony/browser-kit": "v4.4.5",
"symfony/css-selector": "v4.4.5",
"symfony/dom-crawler": "v4.4.4",
"symfony/filesystem": "v4.4.4",
"symfony/finder": "v4.4.4",
"symfony/lock": "v4.4.4",
"symfony/phpunit-bridge": "v4.4.4",
"symfony/filesystem": "v4.4.5",
"symfony/finder": "v4.4.5",
"symfony/lock": "v4.4.5",
"symfony/phpunit-bridge": "v4.4.5",
"theseer/tokenizer": "1.1.3",
"webmozart/assert": "1.7.0"
}
......
......@@ -152,6 +152,7 @@ public static function getSkippedDeprecations() {
'The "Symfony\Component\HttpFoundation\File\MimeType\FileinfoMimeTypeGuesser" class is deprecated since Symfony 4.3, use "Symfony\Component\Mime\FileinfoMimeTypeGuesser" instead.',
'The signature of the "Drupal\Component\EventDispatcher\ContainerAwareEventDispatcher::dispatch()" method should be updated to "dispatch($event, string $eventName = null)", not doing so is deprecated since Symfony 4.3.',
'Calling the "Symfony\Component\EventDispatcher\EventDispatcherInterface::dispatch()" method with the event name as the first argument is deprecated since Symfony 4.3, pass it as the second argument and provide the event object as the first argument instead.',
'The "Drupal\Component\EventDispatcher\ContainerAwareEventDispatcher::dispatch()" method will require a new "string|null $eventName" argument in the next major version of its interface "Symfony\Contracts\EventDispatcher\EventDispatcherInterface", not defining it is deprecated.',
'The "Drupal\Component\EventDispatcher\ContainerAwareEventDispatcher::dispatch()" method will require a new "string|null $eventName" argument in the next major version of its parent class "Symfony\Contracts\EventDispatcher\EventDispatcherInterface", not defining it is deprecated.',
'Passing a command as string when creating a "Symfony\Component\Process\Process" instance is deprecated since Symfony 4.2, pass it as an array of its arguments instead, or use the "Process::fromShellCommandline()" constructor if you need features provided by the shell.',
'Passing arguments to "Symfony\Component\HttpFoundation\Request::isMethodSafe()" has been deprecated since Symfony 4.4; use "Symfony\Component\HttpFoundation\Request::isMethodCacheable()" to check if the method is cacheable instead.',
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment